Get Customer Capabilities
curl --request GET \
--url https://sandbox.api.fin.com/v2/customers/{customer_id}/capabilities \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v2/customers/{customer_id}/capabilities';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/customers/{customer_id}/capabilities")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/customers/{customer_id}/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/customers/{customer_id}/capabilities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"on_ramp": [
{
"currency": "USD",
"rail": "ACH",
"status": false
},
{
"currency": "USD",
"rail": "FEDWIRE",
"status": true
},
{
"currency": "USD",
"rail": "SWIFT",
"status": true
}
],
"off_ramp": [
{
"corridor": "BGD",
"currency_wise_rail": [
{
"currency": "BDT",
"rails": [
{
"rail": "LOCAL",
"status": true
}
]
},
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "AUS",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "GBR",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
},
{
"currency": "GBP",
"rails": [
{
"rail": "LOCAL",
"status": true
}
]
}
]
},
{
"corridor": "CAN",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "DEU",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
},
{
"currency": "EUR",
"rails": [
{
"rail": "LOCAL",
"status": true
}
]
}
]
},
{
"corridor": "POL",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "IND",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
},
{
"currency": "INR",
"rails": [
{
"rail": "LOCAL",
"status": true
}
]
}
]
},
{
"corridor": "PAK",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "NPL",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "PHL",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "SGP",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
},
{
"currency": "SGD",
"rails": [
{
"rail": "LOCAL",
"status": true
}
]
}
]
}
]
}
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}{
"message": "<string>",
"errors": [
{}
]
}Customers
Get Customer Capabilities
Returns the on-ramp and off-ramp capabilities available for a customer, including the supported rails and their activation status for each currency and corridor.
GET
/
v2
/
customers
/
{customer_id}
/
capabilities
Get Customer Capabilities
curl --request GET \
--url https://sandbox.api.fin.com/v2/customers/{customer_id}/capabilities \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v2/customers/{customer_id}/capabilities';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/customers/{customer_id}/capabilities")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/customers/{customer_id}/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/customers/{customer_id}/capabilities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"on_ramp": [
{
"currency": "USD",
"rail": "ACH",
"status": false
},
{
"currency": "USD",
"rail": "FEDWIRE",
"status": true
},
{
"currency": "USD",
"rail": "SWIFT",
"status": true
}
],
"off_ramp": [
{
"corridor": "BGD",
"currency_wise_rail": [
{
"currency": "BDT",
"rails": [
{
"rail": "LOCAL",
"status": true
}
]
},
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "AUS",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "GBR",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
},
{
"currency": "GBP",
"rails": [
{
"rail": "LOCAL",
"status": true
}
]
}
]
},
{
"corridor": "CAN",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "DEU",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
},
{
"currency": "EUR",
"rails": [
{
"rail": "LOCAL",
"status": true
}
]
}
]
},
{
"corridor": "POL",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "IND",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
},
{
"currency": "INR",
"rails": [
{
"rail": "LOCAL",
"status": true
}
]
}
]
},
{
"corridor": "PAK",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "NPL",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "PHL",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
}
]
},
{
"corridor": "SGP",
"currency_wise_rail": [
{
"currency": "USD",
"rails": [
{
"rail": "SWIFT",
"status": true
}
]
},
{
"currency": "SGD",
"rails": [
{
"rail": "LOCAL",
"status": true
}
]
}
]
}
]
}
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}{
"message": "<string>",
"errors": [
{}
]
}Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Path Parameters
Response
Customer capabilities retrieved successfully
Show child attributes
Show child attributes
⌘I
